Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QListView.Flow

    java.lang.Object
      java.lang.Enum<QListView.Flow>
          com.trolltech.qt.gui.QListView.Flow

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QListView.Flow>

Enclosing class:
  QListView

    public static enum QListView.Flow

extends java.lang.Enum<QListView.Flow>
implements QtEnumerator

Press link for info on QListView.Flow

Enum Constant Summary
`LeftToRight` The items are laid out in the view from the left to the right.
`TopToBottom` The items are laid out in the view from the top to the bottom.

Method Summary
`static QListView.Flow` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QListView.Flow` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QListView.Flow[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LeftToRight

    public static final QListView.Flow LeftToRight

  The items are laid out in the view from the left to the right.

### TopToBottom

    public static final QListView.Flow TopToBottom

  The items are laid out in the view from the top to the bottom.

Method Detail

### values

    public static final QListView.Flow[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QListView.Flow c : QListView.Flow.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QListView.Flow valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QListView.Flow resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD